Bug 16820 - nfs mount "add" corrupts /etc/fstab "LABEL=/ / efs2..."
Summary: nfs mount "add" corrupts /etc/fstab "LABEL=/ / efs2..."
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-23 19:09 UTC by Mr. Berkley Shands
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-23 19:09:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mr. Berkley Shands 2000-08-23 19:09:03 UTC
P3-600 768mb aha-2940u2w 9gblvd all-in-wonder128
virgin install -kde


Using linuxconf to add nfs volumes - I added two.
on exit and apply changes, the deamon reported that "/", "/usr" and "/var"
had changed mountpoints, and did I want to remount them.

No, of course NOT!
the /etc/fstab file showed
all "/dev/sda*" had been replaced with "LABEL=/<mount point>"

/dev/sda1       /               ext2    defaults        1       1
#was LABEL=/	/	ext2	defaults	1 1
# and so on.
/dev/sda5       /usr            ext2    defaults        1       2
/dev/sda7       /var            ext2    defaults        1       2
/dev/sda8       /export         ext2    defaults        1       2
#
/dev/cdrom      /mnt/cdrom      iso9660 noauto,owner,ro 0       0
/dev/fd0        /mnt/floppy     auto    noauto,owner    0       0
#
none            /proc           proc    defaults        0       0
none            /dev/pts        devpts  gid=5,mode=620  0       0
#
/dev/sda6       swap            swap    defaults        0       0
#
# nfs mounts 
#
mudpuddle.cs.wustl.edu:/fowl    /fowl   nfs            
exec,dev,suid,rw,bg,soft        1       1
mudpuddle.cs.wustl.edu:/fish    /fish   nfs            
exec,dev,suid,rw,bg,soft        1       1

Comment 1 Dale Lovelace 2000-08-23 20:30:27 UTC
Linuxconf didn't replace your /etc/fstab with the "label=" stuff, the install of
Pinstripe labels disks that way. Linuxconf didn't understand the "label=" stuff
and that is why it asked you to remount them (you can remount /, /usr and /var
by the way, won't hurt a thing). Linuxconf is fixed now in-house.

Comment 2 Mr. Berkley Shands 2000-08-25 15:07:57 UTC
you are correct. I see the label= stuff before linuxconf.
I like the new organization and tabs stuff.

berkley



Note You need to log in before you can comment on or make changes to this bug.